<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="DHSTYLES.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
//------>									--------> Convierte Fecha <--------
$fec = $_POST['t_2'];
include("DF20000.php");
//------>									--------> *************** <--------
	include('cat_impuestos_CL.php');
	$varible_clase = new clase_tas_iva();
	$varible_clase->fec_vig=$f_m;
	$varible_clase->tip_iva=$_POST["select"];
	$varible_clase->conc_iva=strtoupper($_POST["t2"]);
	$varible_clase->porc_iva=$_POST["t3"];
	$varible_clase->cta_iva_ppa=$_POST["t4"];
	$varible_clase->cta_iva_acr=$_POST["t5"];
	$varible_clase->cta_iva_ppa_nc=$_POST["t6"];
	$varible_clase->cta_iva_acr_np=$_POST["t7"];
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=cat_impuestos_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>!!! SE AGREGO EL REGISTRO... '.$ultimo_id.' ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=cat_impuestos_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>!!! NO SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="5; url=cat_impuestos_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>


